> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.ordergroove.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.ordergroove.com/_mcp/server.

# Create a retention incentive eligibility rule

POST https://restapi.ordergroove.com/retention_incentives/eligibility_rule/
Content-Type: application/json

Creates a retention incentive eligibility rule with their incentive templates.

Reference: https://developer.ordergroove.com/reference/rest-rpc-api/retention-incentives/eligibility-rules-create

## Authentication

- `x-api-key` header (required) — Application API Scope — server-to-server, sent in the `x-api-key` header. See [Authentication](/api-reference/authentication).
- `authorization` header (required) — Storefront API Scope — client-side, scoped to one customer, sent as a signature in the `authorization` header. See [Authentication](/api-reference/authentication).

## Request

### Body (application/json)

This endpoint expects an object.

- `name` (string, required) — Anything to help identify this rule
- `live` (boolean, required) — Active / inactive state for this rule
- `min_days_since_last_claim` (integer, optional) — Minimum number of days since the last retention incentive has been claimed for a given customer
- `min_subscriber_orders_since_last_claim` (integer, optional) — Minimum number of orders that had to be placed since the last retention incentive was claimed for a given customer
- `incentive_templates` (list of RetentionIncentivesEligibilityRulePostRequestBodyContentApplicationJsonSchemaIncentiveTemplatesItems, optional)

## Response

### 200

200

- `public_id` (string, optional)
- `name` (string, optional)
- `merchant` (string, optional)
- `live` (boolean, optional, default: true)
- `min_days_since_last_claim` (integer, optional, default: 0)
- `min_subscriber_orders_since_last_claim` (integer, optional, nullable)
- `incentive_templates` (list of RetentionIncentivesEligibilityRulePostResponsesContentApplicationJsonSchemaIncentiveTemplatesItems, optional)

## Errors

### 400 Bad Request Error

400

- `name` (list of string, optional)

## Types

### RetentionIncentivesEligibilityRulePostRequestBodyContentApplicationJsonSchemaIncentiveTemplatesItems

- `type` (string, required) — Type of incentive: "Discount" or "Gift"
- `target` (string, required) — Target for application: "order" or "item"
- `discount_type` (string, required) — Type of discount operation: "Discount Percent" or "Discount Amount"
- `field` (string, required) — Field where to apply the discount, "shipping_total" or "sub_total" for orders and "total_price" for items
- `value` (string, required) — Value of the incentive
- `name` (string, optional) — Name of the incentive

### RetentionIncentivesEligibilityRulePostResponsesContentApplicationJsonSchemaIncentiveTemplatesItems

- `name` (string, optional)
- `type` (string, optional)
- `field` (string, optional)
- `discount_type` (string, optional)
- `value` (string, optional)
- `target` (string, optional)

## Examples

### Result

**Request**

```json
undefined
```

**Response**

```json
{
  "public_id": "f74365c1acde4f41b8d46966a2d4177c",
  "name": "Retention discount 1",
  "merchant": "07f5cbbc9c0811ed99a9f2d3525685ca",
  "live": true,
  "min_days_since_last_claim": 40,
  "min_subscriber_orders_since_last_claim": null,
  "incentive_templates": [
    {
      "name": "Incentive template discount",
      "type": "Discount",
      "field": "total_price",
      "discount_type": "Discount Percent",
      "value": "20.00",
      "target": "item"
    }
  ]
}
```

**SDK Code**

```python Result
import requests

url = "https://restapi.ordergroove.com/retention_incentives/eligibility_rule/"

headers = {"x-api-key": "<apiKey>"}

response = requests.post(url, headers=headers)

print(response.json())
```

```javascript Result
const url = 'https://restapi.ordergroove.com/retention_incentives/eligibility_rule/';
const options = {method: 'POST', headers: {'x-api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Result
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://restapi.ordergroove.com/retention_incentives/eligibility_rule/"

	req, _ := http.NewRequest("POST", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Result
require 'uri'
require 'net/http'

url = URI("https://restapi.ordergroove.com/retention_incentives/eligibility_rule/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Result
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://restapi.ordergroove.com/retention_incentives/eligibility_rule/")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php Result
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://restapi.ordergroove.com/retention_incentives/eligibility_rule/', [
  'headers' => [
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Result
using RestSharp;

var client = new RestClient("https://restapi.ordergroove.com/retention_incentives/eligibility_rule/");
var request = new RestRequest(Method.POST);
request.AddHeader("x-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Result
import Foundation

let headers = ["x-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://restapi.ordergroove.com/retention_incentives/eligibility_rule/")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Simple rule with template

**Request**

```json
{
  "name": "Retention discount 1",
  "live": true,
  "min_days_since_last_claim": 40,
  "incentive_templates": [
    {
      "type": "Discount",
      "target": "item",
      "discount_type": "Discount Percent",
      "field": "total_price",
      "value": "20.00",
      "name": "Incentive template discount"
    }
  ]
}
```

**Response**

```json
{
  "public_id": "f74365c1acde4f41b8d46966a2d4177c",
  "name": "Retention discount 1",
  "merchant": "07f5cbbc9c0811ed99a9f2d3525685ca",
  "live": true,
  "min_days_since_last_claim": 40,
  "min_subscriber_orders_since_last_claim": null,
  "incentive_templates": [
    {
      "name": "Incentive template discount",
      "type": "Discount",
      "field": "total_price",
      "discount_type": "Discount Percent",
      "value": "20.00",
      "target": "item"
    }
  ]
}
```

**SDK Code**

```python Simple rule with template
import requests

url = "https://restapi.ordergroove.com/retention_incentives/eligibility_rule/"

payload = {
    "name": "Retention discount 1",
    "live": True,
    "min_days_since_last_claim": 40,
    "incentive_templates": [
        {
            "type": "Discount",
            "target": "item",
            "discount_type": "Discount Percent",
            "field": "total_price",
            "value": "20.00",
            "name": "Incentive template discount"
        }
    ]
}
headers = {
    "x-api-key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript Simple rule with template
const url = 'https://restapi.ordergroove.com/retention_incentives/eligibility_rule/';
const options = {
  method: 'POST',
  headers: {'x-api-key': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{"name":"Retention discount 1","live":true,"min_days_since_last_claim":40,"incentive_templates":[{"type":"Discount","target":"item","discount_type":"Discount Percent","field":"total_price","value":"20.00","name":"Incentive template discount"}]}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Simple rule with template
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://restapi.ordergroove.com/retention_incentives/eligibility_rule/"

	payload := strings.NewReader("{\n  \"name\": \"Retention discount 1\",\n  \"live\": true,\n  \"min_days_since_last_claim\": 40,\n  \"incentive_templates\": [\n    {\n      \"type\": \"Discount\",\n      \"target\": \"item\",\n      \"discount_type\": \"Discount Percent\",\n      \"field\": \"total_price\",\n      \"value\": \"20.00\",\n      \"name\": \"Incentive template discount\"\n    }\n  ]\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("x-api-key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Simple rule with template
require 'uri'
require 'net/http'

url = URI("https://restapi.ordergroove.com/retention_incentives/eligibility_rule/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"name\": \"Retention discount 1\",\n  \"live\": true,\n  \"min_days_since_last_claim\": 40,\n  \"incentive_templates\": [\n    {\n      \"type\": \"Discount\",\n      \"target\": \"item\",\n      \"discount_type\": \"Discount Percent\",\n      \"field\": \"total_price\",\n      \"value\": \"20.00\",\n      \"name\": \"Incentive template discount\"\n    }\n  ]\n}"

response = http.request(request)
puts response.read_body
```

```java Simple rule with template
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://restapi.ordergroove.com/retention_incentives/eligibility_rule/")
  .header("x-api-key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"name\": \"Retention discount 1\",\n  \"live\": true,\n  \"min_days_since_last_claim\": 40,\n  \"incentive_templates\": [\n    {\n      \"type\": \"Discount\",\n      \"target\": \"item\",\n      \"discount_type\": \"Discount Percent\",\n      \"field\": \"total_price\",\n      \"value\": \"20.00\",\n      \"name\": \"Incentive template discount\"\n    }\n  ]\n}")
  .asString();
```

```php Simple rule with template
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://restapi.ordergroove.com/retention_incentives/eligibility_rule/', [
  'body' => '{
  "name": "Retention discount 1",
  "live": true,
  "min_days_since_last_claim": 40,
  "incentive_templates": [
    {
      "type": "Discount",
      "target": "item",
      "discount_type": "Discount Percent",
      "field": "total_price",
      "value": "20.00",
      "name": "Incentive template discount"
    }
  ]
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Simple rule with template
using RestSharp;

var client = new RestClient("https://restapi.ordergroove.com/retention_incentives/eligibility_rule/");
var request = new RestRequest(Method.POST);
request.AddHeader("x-api-key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"name\": \"Retention discount 1\",\n  \"live\": true,\n  \"min_days_since_last_claim\": 40,\n  \"incentive_templates\": [\n    {\n      \"type\": \"Discount\",\n      \"target\": \"item\",\n      \"discount_type\": \"Discount Percent\",\n      \"field\": \"total_price\",\n      \"value\": \"20.00\",\n      \"name\": \"Incentive template discount\"\n    }\n  ]\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Simple rule with template
import Foundation

let headers = [
  "x-api-key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [
  "name": "Retention discount 1",
  "live": true,
  "min_days_since_last_claim": 40,
  "incentive_templates": [
    [
      "type": "Discount",
      "target": "item",
      "discount_type": "Discount Percent",
      "field": "total_price",
      "value": "20.00",
      "name": "Incentive template discount"
    ]
  ]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://restapi.ordergroove.com/retention_incentives/eligibility_rule/")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```